Ask Your Question
2

webkit_dependency: No definition of [python-qt5-bindings-webkit] for OS [osx]

asked 2017-05-20 20:14:46 -0600

westeast gravatar image

I install ros kinetic in mac os by refer: http://wiki.ros.org/kinetic/Installat...

When I run this command

rosdep install --from-paths src --ignore-src --rosdistro kinetic -y

the result is this error info:

ERROR: the following packages/stacks could not have their rosdep keys resolved
to system dependencies:
webkit_dependency: No definition of [python-qt5-bindings-webkit] for OS [osx]

Have anyone meet this?

edit retag flag offensive close merge delete

Comments

1

I think I'm following in your footsteps. How did you resolve this?

clyde gravatar imageclyde ( 2017-05-29 18:02:06 -0600 )edit

Same here. Would really appreciate any further ideas.

hndrk gravatar imagehndrk ( 2017-05-30 10:19:01 -0600 )edit
clyde gravatar imageclyde ( 2017-06-01 12:43:27 -0600 )edit

2 Answers

Sort by ยป oldest newest most voted
1

answered 2017-07-18 18:01:06 -0600

marguedas gravatar image

The issue was because this rosdep rule didnt exist for OSX. This should now be fixed ( https://github.com/ros/rosdistro/issu... has been merged). Can you try running rosdep update and try again the rosdep install invocation ?

edit flag offensive delete link more
0

answered 2017-07-20 02:51:22 -0600

lubiluk gravatar image

As a workaround you can install PyQt5 manually and instruct rosdep to skip that package.

brew install pyqt5 --with-python
rosdep install --from-paths src --ignore-src --rosdistro kinetic -y --skip-keys="python-qt5-bindings-webkit"

PS. If you're trying to install ROS on macOS then maybe this gist of mine can help a bit: https://gist.github.com/lubiluk/361a0...

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

2 followers

Stats

Asked: 2017-05-20 20:14:46 -0600

Seen: 514 times

Last updated: Jul 20 '17